// Funktionen_definieren.cpp: Hauptprojektdatei.

#include "stdafx.h"
#include "Form1.h"

using namespace Funktionen_definieren;

[STAThreadAttribute]

void funzwei()
{
	MessageBox::Show("Hallo von funzwei()");
}

void fun()
{
	MessageBox::Show("Hallo von fun()");
	funzwei();
	MessageBox::Show("Wieder in fun()");
}

int main(array<System::String ^> ^args)
{
	// Aktivieren visueller Effekte von Windows XP, bevor Steuerelemente erstellt werden
	Application::EnableVisualStyles();
	Application::SetCompatibleTextRenderingDefault(false);

	MessageBox::Show("Start in main()");
	fun();
	MessageBox::Show("Wieder in main()");

	// Hauptfenster erstellen und ausführen
	Application::Run(gcnew Form1());
	return 0;
}
